[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Automake-commit] [SCM] GNU Automake branch, maint, updated. v1.13.2-154
From: |
Stefano Lattarini |
Subject: |
[Automake-commit] [SCM] GNU Automake branch, maint, updated. v1.13.2-154-gdb9b02e |
Date: |
Sun, 19 May 2013 22:12:14 +0000 |
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".
http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=db9b02e8a2bbece3b14ce3dfbe8afcc9664018fc
The branch, maint has been updated
via db9b02e8a2bbece3b14ce3dfbe8afcc9664018fc (commit)
via 8f252e4ce02f36ccb06d26fd401a6285b491ae8b (commit)
via 533186d2edfbcfeac9944ff06e7770fae68be6d9 (commit)
via b8e9d8d0171fbb15652a88b840b231b686a87498 (commit)
from 478740deb00d19000ddbcd8a21789f1d65bd2c54 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
-----------------------------------------------------------------------
Summary of changes:
bin/automake.in | 9 +++++----
t/dist-shar.sh | 2 +-
t/parallel-tests-recheck-pr11791.sh | 6 +++---
t/txinfo-builddir.sh | 22 +++++++++++++---------
4 files changed, 22 insertions(+), 17 deletions(-)
diff --git a/bin/automake.in b/bin/automake.in
index c95289f..8f3fb48 100644
--- a/bin/automake.in
+++ b/bin/automake.in
@@ -3217,6 +3217,7 @@ sub handle_texinfo_helper
# was once done when the (now removed) 'cygnus' option was
# given. See automake bug#11034 for more discussion.
my $insrc = 1;
+ my $soutdir = '$(srcdir)/' . $outdir;
if (option 'info-in-builddir')
{
@@ -3239,12 +3240,12 @@ Oops!
EOF
}
- $outdir = '$(srcdir)/' . $outdir if $insrc;
+ $outdir = $soutdir if $insrc;
# If user specified file_TEXINFOS, then use that as explicit
# dependency list.
@texi_deps = ();
- push (@texi_deps, "$outdir$vtexi") if $vtexi;
+ push (@texi_deps, "${soutdir}${vtexi}") if $vtexi;
my $canonical = canonicalize ($infobase);
if (var ($canonical . "_TEXINFOS"))
@@ -3298,8 +3299,8 @@ EOF
new Automake::Location,
TEXI => $texi,
VTI => $vti,
- STAMPVTI => "${outdir}stamp-$vti",
- VTEXI => "$outdir$vtexi",
+ STAMPVTI => "${soutdir}stamp-$vti",
+ VTEXI => "$soutdir$vtexi",
MDDIR => $conf_dir,
DIRSTAMP => $dirstamp);
}
diff --git a/t/dist-shar.sh b/t/dist-shar.sh
index cd04425..2265fd9 100644
--- a/t/dist-shar.sh
+++ b/t/dist-shar.sh
@@ -16,7 +16,7 @@
# Check support for no-dist-gzip with dist-shar.
-required=shar
+required='shar unshar'
. test-init.sh
errmsg='support for shar .*deprecated'
diff --git a/t/parallel-tests-recheck-pr11791.sh
b/t/parallel-tests-recheck-pr11791.sh
index ac3a389..7fad706 100644
--- a/t/parallel-tests-recheck-pr11791.sh
+++ b/t/parallel-tests-recheck-pr11791.sh
@@ -14,7 +14,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-# parallel-tests: "make recheck" "make -k recheck" in the face of build
+# parallel-tests: "make -k recheck" in the face of build
# failures for the test cases. See automake bug#11791.
required='cc native'
@@ -45,7 +45,7 @@ count_test_results total=1 pass=0 fail=1 xpass=0 xfail=0
skip=0 error=0
st=0; $MAKE -k recheck >stdout || st=$?
cat stdout
# Don't trust the exit status of "make -k" for non-GNU makes.
-if using_gmake && test $st -eq 0; then exit 1; fi
+if using_gmake && test $st -eq 0; then exit 1; else :; fi
count_test_results total=1 pass=0 fail=1 xpass=0 xfail=0 skip=0 error=0
# Introduce an error in foo.c, that should cause a compilation failure.
@@ -64,7 +64,7 @@ test -f foo.trs
st=0; $MAKE -k recheck >stdout || st=$?
cat stdout
# Don't trust the exit status of "make -k" for non-GNU makes.
-if using_gmake && test $st -eq 0; then exit 1; fi
+if using_gmake && test $st -eq 0; then exit 1; else :; fi
# We don't get a change to run the testsuite.
$EGREP '(X?PASS|X?FAIL|SKIP|ERROR):' stdout && exit 1
test -f foo.log
diff --git a/t/txinfo-builddir.sh b/t/txinfo-builddir.sh
index e0156c5..42d4112 100644
--- a/t/txinfo-builddir.sh
+++ b/t/txinfo-builddir.sh
@@ -22,6 +22,10 @@
required='makeinfo tex texi2dvi'
. test-init.sh
+if useless_vpath_rebuild; then
+ skip_ "$MAKE has brittle VPATH support"
+fi
+
echo AC_OUTPUT >> configure.ac
cat > Makefile.am << 'END'
@@ -86,38 +90,38 @@ $MAKE info
test -f foo.info
test -f subdir/bar.info
test -f mu.info
-test -f stamp-vti
-test -f version.texi
+test -f ../stamp-vti
+test -f ../version.texi
test ! -e ../foo.info
test ! -e ../subdir/bar.info
test ! -e ../mu.info
-test ! -e ../stamp-vti
-test ! -e ../version.texi
$MAKE clean
test -f foo.info
test -f subdir/bar.info
test ! -e mu.info
-test -f stamp-vti
-test -f version.texi
+test -f ../stamp-vti
+test -f ../version.texi
# Make sure stamp-vti is older that version.texi.
# (A common situation in a real tree).
$sleep
-touch stamp-vti
+touch ../stamp-vti
$MAKE distcheck
# Being distributed, this file should have been rebuilt.
test -f mu.info
$MAKE distclean
-test -f stamp-vti
-test -f version.texi
+test -f ../stamp-vti
+test -f ../version.texi
test -f foo.info
test -f subdir/bar.info
test ! -e mu.info
../configure
$MAKE maintainer-clean
+test ! -e ../stamp-vti
+test ! -e ../version.texi
test ! -e stamp-vti
test ! -e version.texi
test ! -e foo.info
hooks/post-receive
--
GNU Automake
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [Automake-commit] [SCM] GNU Automake branch, maint, updated. v1.13.2-154-gdb9b02e,
Stefano Lattarini <=